Bug 1805188 - Telemeter payload limit is too small for larger clusters
Summary: Telemeter payload limit is too small for larger clusters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.5.0
Assignee: Sergiusz Urbaniak
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks: 1805190
TreeView+ depends on / blocked
 
Reported: 2020-02-20 13:14 UTC by Sergiusz Urbaniak
Modified: 2020-07-13 17:16 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1805190 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:16:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:16:48 UTC

Description Sergiusz Urbaniak 2020-02-20 13:14:16 UTC
This is related to https://bugzilla.redhat.com/show_bug.cgi?id=1794616, but not optimizing the payload size, but we have to also bump the transfer limit for telemeter client.

Otherwise, larger clusters will still fail to send telemetry data.

Comment 5 Junqi Zhao 2020-02-28 09:44:39 UTC
Tested with 4.5.0-0.ci-2020-02-28-043432, limit-bytes is now 5Mb
# oc -n openshift-monitoring get deploy/telemeter-client -oyaml | grep "\- --limit-bytes"
        - --limit-bytes=5242880

Comment 7 errata-xmlrpc 2020-07-13 17:16:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.